### Hierarchy

- Screen

## Index

### Constructors

- constructor

### Accessors

- AspectRatio
- Height
- Resolution
- ScaledResolution
- ScaledWidth
- Width

### Methods

- displayHelpTextThisFrame
- showAdvancedNotification
- showNotification
- showSubtitle
- worldToScreen

## Constructors

### constructor

- new Screen(): Screen

- #### Returns Screen

## Accessors

### Static AspectRatio

- get AspectRatio(): number

- - Defined in ui/Screen.ts:29

  #### Returns number

### Static Height

- get Height(): number

- - Defined in ui/Screen.ts:25

  #### Returns number

### Static Resolution

- get Resolution(): Size

- - Defined in ui/Screen.ts:7

  #### Returns Size

### Static ScaledResolution

- get ScaledResolution(): Size

- - Defined in ui/Screen.ts:12

  #### Returns Size

### Static ScaledWidth

- get ScaledWidth(): number

- - Defined in ui/Screen.ts:21

  #### Returns number

### Static Width

- get Width(): number

- - Defined in ui/Screen.ts:17

  #### Returns number

## Methods

### Static displayHelpTextThisFrame

- displayHelpTextThisFrame(message: string): void

- - Defined in ui/Screen.ts:45

  #### Parameters

  - ##### message: string

  #### Returns void

### Static showAdvancedNotification

- showAdvancedNotification(message: string, title: string, subtitle: string, iconSet: string, icon: string, bgColor?: HudColor, flashColor?: Color, blinking?: boolean, type?: NotificationType, showInBrief?: boolean, sound?: boolean): Notification

- - Defined in ui/Screen.ts:69

  #### Parameters

  - ##### message: string

  - ##### title: string

  - ##### subtitle: string

  - ##### iconSet: string

  - ##### icon: string

  - ##### bgColor: HudColor = ...

  - ##### flashColor: Color = ...

  - ##### blinking: boolean = false

  - ##### type: NotificationType = ...

  - ##### showInBrief: boolean = true

  - ##### sound: boolean = true

  #### Returns Notification

### Static showNotification

- showNotification(message: string, blinking?: boolean): Notification

- - Defined in ui/Screen.ts:57

  #### Parameters

  - ##### message: string

  - ##### blinking: boolean = false

  #### Returns Notification

### Static showSubtitle

- showSubtitle(message: string, duration?: number): void

- - Defined in ui/Screen.ts:33

  #### Parameters

  - ##### message: string

  - ##### duration: number = 2500

  #### Returns void

### Static worldToScreen

- worldToScreen(position: Vector3, scaleWidth?: boolean): Size

- - Defined in ui/Screen.ts:106

  #### Parameters

  - ##### position: Vector3

  - ##### scaleWidth: boolean = false

  #### Returns Size

Generated using TypeDoc